## ktrip 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.12.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(ECMQmlModule)
include(ECMFindQmlModule)
include(KDEGitCommitHooks)
include(ECMCheckOutboundLicense)
include(ECMAddAppIcon)
include(ECMAddAndroidApk)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KTRIP
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml Quick QuickControls2)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config)
find_package(KF6KirigamiAddons 1.8.0 REQUIRED)

if (ANDROID)
    # runtime dependencies are build-time dependencies on Android
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami)
    find_package(OpenSSL REQUIRED)
else()
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS QQC2DesktopStyle Crash)
endif()

find_package(KPublicTransport 25.07.71)
set_package_properties(KPublicTransport PROPERTIES TYPE REQUIRED PURPOSE "Query online journey information")

ecm_find_qmlmodule(org.kde.kirigamiaddons.dateandtime 0.1)
ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard 1.0)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 0.11.0 REQUIRED)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required runtime dependency (all modules are required)"
)

ki18n_install(po)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(FILES org.kde.ktrip.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_SOURCE_FILES *.cpp *.h *.qml)
# CI installs dependency headers to _install and _build, which break the reuse check
# Fixes the test by excluding this directory
list(FILTER ALL_SOURCE_FILES EXCLUDE REGEX [[_(install|build)/.*]])
ecm_check_outbound_license(LICENSES GPL-2.0-only GPL-3.0-only FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
ktrip (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:27:50 +0000

=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kirigami-addons-dev (>= 0.11.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6qqc2desktopstyle-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkpublictransport-dev (>= 25.08.3~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/utilities/ktrip
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
Rules-Requires-Root: no

Package: ktrip
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.

## ktrip 25.08.3+p24.04+vunstable+git20251123.1033

=== debian/changelog ===
ktrip (25.08.3+p24.04+vunstable+git20251123.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:33:34 +0000

ktrip (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:32 +1000

## ktrip 25.08.3+p24.04+vunstable+git20251206.0457

=== debian/changelog ===
ktrip (25.08.3+p24.04+vunstable+git20251206.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 04:57:44 +0000

## ktrip 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ktrip (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:01:14 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.08.3~),
+               libkpublictransport-dev (>= 25.11.80~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ktrip (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:13:29 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.11.80~),
+               libkpublictransport-dev (>= 25.11.90~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ktrip (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:32:32 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6qqc2desktopstyle-dev (>= 5.240.0~),
                libkirigami-dev (>= 5.240.0~),
-               libkpublictransport-dev (>= 25.11.90~),
+               libkpublictransport-dev (>= 25.12.0~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,

## ktrip 25.12.0+p24.04+vstable+git20251231.0254

=== debian/changelog ===
ktrip (25.12.0+p24.04+vstable+git20251231.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:54:27 +0000

ktrip (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:36 +1000

## ktrip 25.12.0+p24.04+vstable+git20260103.0306

=== debian/changelog ===
ktrip (25.12.0+p24.04+vstable+git20260103.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:06:18 +0000

## ktrip 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ktrip (25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Setup xvfb now required for running tests.
  * Refresh copyright information.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 23:14:05 +0100

=== debian/control ===
Source: ktrip
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               appstream,
               cmake (>= 3.16),
               extra-cmake-modules (>= 6.12.0~),
               gettext,
               kirigami-addons-dev (>= 1.8.0~),
               libkf6config-dev (>= 6.12.0~),
               libkf6coreaddons-dev (>= 6.12.0~),
               libkf6crash-dev (>= 6.12.0~),
               libkf6i18n-dev (>= 6.12.0~),
               libkf6qqc2desktopstyle-dev (>= 6.12.0~),
               libkirigami-dev (>= 6.12.0~),
               libkpublictransport-dev (>= 25.07.71~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/ktrip/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git

Package: ktrip
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: public transport assistant
 It helps you navigate in public transport. It allows you to find journeys
 between specified locations, departures for a specific station and shows
 real-time delay and disruption information.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=ON

override_dh_auto_test:
	xvfb-run -a -- dh_auto_test -Skf6

## ktrip 25.12.1+p24.04+vstable+git20260107.0332

=== debian/changelog ===
ktrip (25.12.1+p24.04+vstable+git20260107.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:32:41 +0000

ktrip (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:25:31 +1000

## ktrip 25.12.1+p24.04+vstable+git20260124.0258

=== debian/changelog ===
ktrip (25.12.1+p24.04+vstable+git20260124.0258-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 02:58:31 +0000

## ktrip 25.12.1+p24.04+vunstable+git20260130.1432

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ktrip (25.12.1+p24.04+vunstable+git20260130.1432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:32:59 +0000

## ktrip 25.12.1+p24.04+vunstable+git20260205.0706

=== debian/changelog ===
ktrip (25.12.1+p24.04+vunstable+git20260205.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:06:47 +0000

## ktrip 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ktrip VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ktrip (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:42:57 +0000

ktrip (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.
    - Disable build time tests.
    - Add debian/.gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jan 2026 11:23:40 +0000

ktrip (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:14:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: ktrip
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: appstream,
+               cmake (>= 3.16),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               appstream,
-               cmake (>= 3.16),
                extra-cmake-modules (>= 6.12.0~),
                gettext,
                kirigami-addons-dev (>= 1.8.0~),
@@ -18,7 +19,7 @@
                libkf6i18n-dev (>= 6.12.0~),
                libkf6qqc2desktopstyle-dev (>= 6.12.0~),
                libkirigami-dev (>= 6.12.0~),
-               libkpublictransport-dev (>= 25.07.71~),
+               libkpublictransport-dev (>= 25.12.2~),
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-declarative-private-dev,
@@ -28,8 +29,8 @@
                zlib1g-dev,
 Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/ktrip/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktrip
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktrip.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktrip
 
 Package: ktrip
 Architecture: any
